## rakarrack 0.6.1

=== debian/changelog ===
rakarrack (0.6.1-8ubuntu1) noble; urgency=medium

  * Drop wrong hard-coded library dependencies.  Closes: #1068431.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 13 Apr 2024 05:22:56 +0000

rakarrack (0.6.1-8build3) noble; urgency=medium

  * No-change rebuild against libasound2t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 07 Apr 2024 07:22:39 +0000

rakarrack (0.6.1-8build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:09:12 +0000

rakarrack (0.6.1-8build1) noble; urgency=medium

  * No-change rebuild against libasound2t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 07:01:51 +0000

rakarrack (0.6.1-8) unstable; urgency=medium

  * Migrate to FLTK 1.3. Closes: #974628
  * Update Standards-Version

 -- Tiago Bortoletto Vaz <tiago@debian.org>  Thu, 15 Jun 2023 09:49:52 -0400

rakarrack (0.6.1-7) unstable; urgency=medium

  * Fix embedded build path in /usr/bin/rakarrack. Thanks to Vagrant Cascadian.
    (Closes: #1020756)
  * Update Standards-Version
  * Update debian/compat

 -- Tiago Bortoletto Vaz <tiago@debian.org>  Mon, 26 Sep 2022 12:12:44 -0400

rakarrack (0.6.1-6) unstable; urgency=medium

  * Fix FTCBFS: Don't autodetect sse/sse2. Thanks to Helmut Grohne.
    (Closes: #945841)

 -- Tiago Bortoletto Vaz <tiago@debian.org>  Sat, 20 Mar 2021 19:00:25 -0400

rakarrack (0.6.1-5) unstable; urgency=medium

  * Add debian/patches/05_fix_segfault.diff to fix a segfault on
    startup. Thanks to Stefan Potyra for the patch. (Closes: #892077)

 -- Tiago Bortoletto Vaz <tiago@debian.org>  Mon, 03 Sep 2018 21:22:52 -0400

rakarrack (0.6.1-4) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format
  * Fixes format-security issue in rakarrack.cxx. Thanks to Mònica Ramírez
    Arceda and Daniel T Chen. (Closes: #652164)

 -- Tiago Bortoletto Vaz <tiago@debian.org>  Tue, 27 Dec 2011 11:51:00 -0500

rakarrack (0.6.1-3) unstable; urgency=low

  * debian/rules: Remove src/config.h before the invocation of configure.
    Since configure is called out-of-tree, the upstream provided config.h
    is used instead of the freshly created config.h. Thanks to Stefan Potyra
    for the patch. (Closes: #632149)

 -- Tiago Bortoletto Vaz <tiago@debian.org>  Mon, 25 Jul 2011 09:29:53 -0300

rakarrack (0.6.1-2) unstable; urgency=low

  * Adding support for x86 CPUs with no support for sse2 instructions.
    Thanks to Hans-Juergen Becker for reporting this. (Closes: #557550)

 -- Tiago Bortoletto Vaz <tiago@debian.org>  Sun, 19 Jun 2011 03:36:17 -0300

rakarrack (0.6.1-1) unstable; urgency=low

  * New upstream version. (Closes: #611304)

 -- Tiago Bortoletto Vaz <tiago@debian.org>  Sat, 27 Nov 2010 13:09:25 -0200

rakarrack (0.5.8-1) unstable; urgency=low

  * New upstream version.

 -- Tiago Bortoletto Vaz <tiago@debian.org>  Tue, 22 Jun 2010 11:26:24 -0300

rakarrack (0.4.2-1) unstable; urgency=low

  * New upstream version.

 -- Tiago Bortoletto Vaz <tiago@debian.org>  Sun, 31 Jan 2010 21:49:36 +0000

rakarrack (0.3.0-2) unstable; urgency=low

  * debian/control:
    + Update policy version
    + Add my new email to Mainteiner field
  * Links to X11 lib to avoid iusses with binutils-gold. Thanks to Peter
    Fritzsche. (Closes: #556312)
  * Register HTML documentation in doc-base

 -- Tiago Bortoletto Vaz <tiago@debian.org>  Sat, 21 Nov 2009 10:17:38 -0200

rakarrack (0.3.0-1) unstable; urgency=low

  * Initial Release. (Closes: #490705)

 -- Tiago Bortoletto Vaz <tiago@debian-ba.org>  Thu, 06 Aug 2009 09:59:28 -0300
