=== debian/control ===
Source: rakarrack
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Tiago Bortoletto Vaz <tiago@debian.org>
Build-Depends: debhelper (>= 13),
 libfltk1.3-dev,
 alsa-utils,
 libasound2-dev,
 libxpm-dev,
 libjack-dev,
 libxft-dev,
 libsndfile1-dev,
 libsamplerate0-dev,
 quilt (>= 0.40)
Standards-Version: 4.6.2
Homepage: http://rakarrack.sourceforge.net
Vcs-Git: https://salsa.debian.org/multimedia-team/rakarrack.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/rakarrack

Package: rakarrack
Architecture: any
Depends: ${misc:Depends},
 ${shlibs:Depends},
 jackd
Description: Simple and easy guitar effects processor for GNU/Linux
 Rakarrack is a guitar effects processor for GNU / Linux simple and easy to use
 but it contains features that make it unique in this field of applications.
 .
 Currently it contains 17 effects:
  * Linear Equalizer
  * Parametric Equalizer
  * Compressor
  * Distorsion
  * Overdrive
  * Echo
  * Chorus
  * Phaser
  * Flanger
  * Reverb
  * WahWah
  * Alienwah
  * Harmonizer
  * NoiseGate
  * Musical Delay
  * Cabinet
  * AutoPan/Extra Stereo
 .
 Rakarrack integrates a tuner and a MIDI converter. It can also be handled by
 an external MIDI controller. The settings designed by the user can be stored in
 presets and these presets can be used to create banks of effects.
