=== debian/rules ===
#!/usr/bin/make -f
# Derived from:
# Sample debian/rules that uses debhelper,
# GNU copyright 1997 by Joey Hess.
# Copyright Ron Lee 2003, 2004, 2007, 2008

SHELL = /bin/bash
include /usr/share/quilt/quilt.make

#export DH_VERBOSE=1
export DH_OPTIONS

include /usr/share/dpkg/architecture.mk

builddir            = build
builddir_sse        = build-sse

all_builds  = $(builddir) $(builddir_sse)
arch_builds = $(builddir)

ifeq ($(DEB_HOST_ARCH_CPU),i386)
arch_builds += $(builddir_sse)
endif


clean:
	dh_testdir
	dh_testroot
	$(RM) *-stamp
	$(RM) -r $(all_builds) config.log
	dh_clean


# This first empty one is equivalent to declaring it .SECONDARY while we have
# no target specific variables to set.  We don't want it removed by default as
# an unnamed intermediate file when the build target is completed.
$(builddir)/config.status:
$(builddir_sse)/config.status:        EXTRA_CONFIG_FLAGS += --enable-sse

# exporting a non-empty SSE variable disables sse autodetection
%/config.status: configure
	dh_testdir
	mkdir -p $*
	$(RM) src/config.h
	cd $* && SSE=" " ../configure --host=$(DEB_HOST_GNU_TYPE)	\
			      --build=$(DEB_BUILD_GNU_TYPE)	\
			      --prefix=/usr			\
			      $(if $(filter $(DEB_HOST_ARCH_CPU),amd64 i386),--enable-sse2) \
			      CXXFLAGS="$(shell dpkg-buildflags --get CXXFLAGS)" \
			      $(EXTRA_CONFIG_FLAGS)

build: build-arch

build-arch: $(foreach d,$(arch_builds),build-target-$(d)-stamp)
build-target-%-stamp : %/config.status
	dh_testdir
	cd $* && $(MAKE)
	touch $@

build-indep: build-indep-stamp
build-indep-stamp:
	dh_testdir
	touch $@


install: install-arch install-indep

install-arch: install-arch-stamp
install-arch-stamp:
	dh_testdir
	cd $(builddir) && $(MAKE) install DESTDIR=$(CURDIR)/debian/rakarrack
	find $(CURDIR)/debian/rakarrack/ -name "COPYING" -depth -exec rm -rf {} \;
	mv $(CURDIR)/debian/rakarrack/usr/share/doc/rakarrack/ChangeLog $(CURDIR)/debian/rakarrack/usr/share/doc/rakarrack/changelog
	if [ -d "$(builddir_sse)" ]; then								  \
	    mkdir -p $(CURDIR)/debian/rakarrack/usr/lib/rakarrack/sse; \
	    cp -v $(builddir)/src/rakarrack    $(CURDIR)/debian/rakarrack/usr/lib/rakarrack; \
	    cp -v $(builddir_sse)/src/rakarrack    $(CURDIR)/debian/rakarrack/usr/lib/rakarrack/sse; \
	    cp -v $(CURDIR)/debian/rakarrack.wrapper    $(CURDIR)/debian/rakarrack/usr/bin/rakarrack; \
	fi
	touch $@

install-indep:


binary: binary-indep binary-arch

binary-indep: DH_OPTIONS = -i
binary-indep: build-indep install-indep
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch: build-arch install-arch
	dh_testdir
	dh_testroot
	dh_install -a
	dh_installdocs -a
	dh_installman -a
	dh_installchangelogs -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a


.PHONY: clean build build-arch build-indep install install-arch install-indep \
	binary binary-arch binary-indep
