=== debian/watch ===
version=3
http://www.mirrorservice.org/sites/download.sourceforge.net/pub/sourceforge/r/ra/rakarrack/rakarrack-([\d.]+)\.tar\.gz
